Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.abase.validation
Class AbstractABaseJavaValidator

    java.lang.Object
      org.eclipse.xtext.validation.AbstractInjectableValidator
          org.eclipse.xtext.validation.AbstractDeclarativeValidator
              org.eclipse.amp.amf.abase.validation.AbstractABaseJavaValidator

All Implemented Interfaces:
  org.eclipse.emf.ecore.EValidator, org.eclipse.xtext.validation.ValidationMessageAcceptor

Direct Known Subclasses:
  ABaseJavaValidator

    public class AbstractABaseJavaValidator

extends org.eclipse.xtext.validation.AbstractDeclarativeValidator

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xtext.validation.AbstractDeclarativeValidator
`org.eclipse.xtext.validation.AbstractDeclarativeValidator.DiagnosticImpl, org.eclipse.xtext.validation.AbstractDeclarativeValidator.State, org.eclipse.xtext.validation.AbstractDeclarativeValidator.StateAccess`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EValidator
`org.eclipse.emf.ecore.EValidator.Descriptor, org.eclipse.emf.ecore.EValidator.PatternMatcher, org.eclipse.emf.ecore.EValidator.Registry, org.eclipse.emf.ecore.EValidator.SubstitutionLabelProvider, org.eclipse.emf.ecore.EValidator.ValidationDelegate`

Field Summary

Fields inherited from class org.eclipse.xtext.validation.AbstractDeclarativeValidator
`log`

Fields inherited from interface org.eclipse.emf.ecore.EValidator
`MARKER, RELATED_URIS_ATTRIBUTE, URI_ATTRIBUTE`

Constructor Summary
`AbstractABaseJavaValidator()`

Method Summary

Methods inherited from class org.eclipse.xtext.validation.AbstractDeclarativeValidator
`acceptError, acceptWarning, getInjector, getMessageAcceptor, setInjector, setMessageAcceptor, validate`

Methods inherited from class org.eclipse.xtext.validation.AbstractInjectableValidator
`register, validate, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractABaseJavaValidator

    public AbstractABaseJavaValidator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD